URL_BASE_CALLEJERO = 'https://ovc.catastro.meh.es/OVCServWeb/OVCWcfCallejero/COVCCallejero.svc/json'
URL_BASE_GEOGRAFIA = 'http://ovc.catastro.meh.es/INSPIRE/wfsCP.aspx'
URL_BASE_CROQUIS_DATOS = f'https://www1.sedecatastro.gob.es/CYCBienInmueble/SECImprimirCroquisYDatos.aspx'

MAPEOS_PROVINCIAS = {
    'La Coruña': 'A Coruña',
    'Orense': 'Ourense',
    'Santa Cruz De Tenerife': 'S.C. Tenerife',
    'Las Palmas De Gran Canaria': 'Las Palmas',
    'Alicante': 'Alacant',
    'Almería': 'Almeria',
    'Cádiz': 'Cadiz',
    'Córdoba': 'Cordoba',
    'Gerona': 'Girona',
    'Castellón De La Plana': 'Castello',
    'Castellón': 'Castello',
    'Lérida': 'Lleida',
    'Málaga': 'Malaga',
    'León': 'Leon',
    'Ávila': 'Avila',
    'Cáceres': 'Caceres',
    'Baleares': 'Illes Balears',
    'Islas Baleares': 'Illes Balears',
    'Jaén': 'Jaen',
    'València': 'Valencia'
}

TIPOS_VIA = {
    "AC": "ACCESO",
    "AG": "AGREGADO",
    "AL": "ALDEA, ALAMEDA",
    "AN": "ANDADOR",
    "AR": "AREA, ARRABAL",
    "AU": "AUTOPISTA",
    "AV": "AVENIDA",
    "AY": "ARROYO",
    "BJ": "BAJADA",
    "BL": "BLOQUE",
    "BO": "BARRIO",
    "BQ": "BARRANQUIL",
    "BR": "BARRANCO",
    "CA": "CAÑADA",
    "CG": "COLEGIO, CIGARRAL",
    "CH": "CHALET",
    "CI": "CINTURON",
    "CJ": "CALLEJA, CALLEJON",
    "CL": "CALLE",
    "CM": "CAMINO, CARMEN",
    "CN": "COLONIA",
    "CO": "CONCEJO, COLEGIO",
    "CP": "CAMPA, CAMPO",
    "CR": "CARRETERA, CARRERA",
    "CS": "CASERIO",
    "CT": "CUESTA, COSTANILLA",
    "CU": "CONJUNTO",
    "CY": "CALEYA",
    "CZ": "CALLIZO",
    "DE": "DETRÁS",
    "DP": "DIPUTACION",
    "DS": "DISEMINADOS",
    "ED": "EDIFICIOS",
    "EM": "EXTRAMUROS",
    "EN": "ENTRADA, ENSANCHE",
    "EP": "ESPALDA",
    "ER": "EXTRARRADIO",
    "ES": "ESCALINATA",
    "EX": "EXPLANADA",
    "FC": "FERROCARRIL",
    "FN": "FINCA",
    "GL": "GLORIETA",
    "GR": "GRUPO",
    "GV": "GRAN VIA",
    "HT": "HUERTA, HUERTO",
    "JR": "JARDINES",
    "LA": "LAGO",
    "LD": "LADO, LADERA",
    "LG": "LUGAR",
    "MA": "MALECON",
    "MC": "MERCADO",
    "ML": "MUELLE",
    "MN": "MUNICIPIO",
    "MS": "MASIAS",
    "MT": "MONTE",
    "MZ": "MANZANA",
    "PB": "POBLADO",
    "PC": "PLACETA",
    "PD": "PARTIDA",
    "PI": "PARTICULAR",
    "PJ": "PASAJE, PASADIZO",
    "PL": "POLIGONO",
    "PM": "PARAMO",
    "PQ": "PARROQUIA, PARQUE",
    "PR": "PROLONGACION, CONTINUAC.",
    "PS": "PASEO",
    "PT": "PUENTE",
    "PU": "PASADIZO",
    "PZ": "PLAZA",
    "QT": "QUINTA",
    "RA": "RACONADA",
    "RB": "RAMBLA",
    "RC": "RINCON, RINCONA",
    "RD": "RONDA",
    "RM": "RAMAL",
    "RP": "RAMPA",
    "RR": "RIERA",
    "RU": "RUA",
    "SA": "SALIDA",
    "SC": "SECTOR",
    "SD": "SENDA",
    "SL": "SOLAR",
    "SN": "SALON",
    "SU": "SUBIDA",
    "TN": "TERRENOS",
    "TO": "TORRENTE",
    "TR": "TRAVESIA",
    "UR": "URBANIZACION",
    "VA": "VALLE",
    "VD": "VIADUCTO",
    "VI": "VIA",
    "VL": "VIAL",
    "VR": "VEREDA"
}
